import csv

def analyseResults(filename):
    BPCEs = 0
    numBonafides = 0
    APCEs = 0
    numPAIs = 0
    with open(filename, 'r') as csvfile:
        resultsreader = csv.reader(csvfile, delimiter=',')
        for row in resultsreader:
            if row:
                if row[0].startswith('sample_id'):
                    index_gt = row.index('ground_truth')
                    index_predicted = row.index('classified_as_pa')

                elif row[index_gt].startswith('bona fide'): # bona fide
                    numBonafides += 1
                    if row[index_predicted] == 'True':
                        BPCEs += 1
                else: # PA
                    numPAIs += 1
                    if row[index_predicted] == 'False':
                        APCEs += 1
    
    return BPCEs, numBonafides, APCEs, numPAIs

if __name__ == '__main__':

    filename = 'scores_scenario2/plbp_single_7.csv'

    BPCEs, numBonafides, APCEs, numPAIs = analyseResults(filename)
    print(filename)
    print('APCER')
    print('Missclassified = ' + str(APCEs))
    print('Total = ' + str(numPAIs))
    print('APCER = {:05.2f}%'.format(APCEs / numPAIs * 100))

    print(' ')
    print('BPCER')
    print('Missclassified = ' + str(BPCEs))
    print('Total = ' + str(numBonafides))
    print('BPCER = {:05.2f}%'.format(BPCEs / numBonafides * 100))
    print('\n')


